# $Revision: 1.66 $, $Date: 2012/02/11 20:58:58 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Template
%define		pnam	Toolkit
Summary:	Fast, powerful and easily extensible template processing system
Summary(pl.UTF-8):	Rozbudowany i wydajny system szablonów
Name:		perl-Template-Toolkit
Version:	2.24
Release:	1
# same as perl
License:	GPL v1+ or or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Template/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c25fdab1beebf8818c2e624bc9f9d212
URL:		http://www.template-toolkit.org/
BuildRequires:	perl(File::Spec) >= 0.6
BuildRequires:	perl-AppConfig >= 1.52
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Pod-POM >= 0.1
BuildRequires:	perl-Text-Autoformat >= 1.03
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-Template-Toolkit-examples
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system. It
was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

It can be used as a stand-alone Perl module or embedded within an
Apache/mod_perl server for generating highly configurable dynamic web
content. A number of Perl scripts are also provided which can greatly
simplify the process of creating and managing static web content and
other offline document systems.

%description -l pl.UTF-8
Template Toolkit to zestaw modułów z implementacją szybkiego,
elastycznego, potężnego i rozszerzalnego systemu przetwarzania
wzorców. Oryginalnie został zaprojektowany i nadal jest używany
głównie do generowania dynamicznych stron WWW, ale może być także
użyty do przetwarzania dowolnych innych rodzajów dokumentów
tekstowych: HTML, XML, POD, PostScript, LaTeX itd.

Może być używany jako samodzielny moduł Perla, lub wbudowany w serwer
Apache/mod_perl do wysoko konfigurowalnego generowania dynamicznych
stron WWW. Załączonych jest wiele skryptów Perla, które mogą uprościć
proces tworzenia i zarządzania statycznymi stronami WWW oraz innymi
systemami dokumentów offline.

%package Plugin-Date
Summary:	Date plugin for Template Toolkit - date formatting
Summary(pl.UTF-8):	Wtyczka Date dla pakietu Template Toolkit - formatowanie daty
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl-Date-Manip

%description Plugin-Date
Date plugin for Template Toolkit - to generate formatted date strings.

%description Plugin-Date -l pl.UTF-8
Wtyczka Date dla pakietu Template Toolkit. Służy ona do generowania
sformatowanych łańcuchów znaków opisujących datę.

%package Plugin-Dumper
Summary:	Dumper plugin for Template Toolkit - dumping data structures
Summary(pl.UTF-8):	Wtyczka Dumper dla pakietu Template Toolkit - wypisywanie struktur danych
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Plugin-Dumper
Dumper plugin for Template Toolkit - interface to Data::Dumper module,
which translates data structures to strings.

%description Plugin-Dumper -l pl.UTF-8
Wtyczka Dumper dla pakietu Template Toolkit - będąca interfejsem do
modułu Data::Dumper, który przekształca struktury danych na łańcuchy
znaków.

%package Plugin-Image
Summary:	Image plugin for Template Toolkit - encapsulating information about images
Summary(pl.UTF-8):	Wtyczka Image dla pakietu Template Toolkit - wstawianie informacji o obrazkach
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Plugin-Image
Image plugin for Template Toolkit - interface to the Image::Info or
Image::Size modules for determining the size of image files.

%description Plugin-Image -l pl.UTF-8
Wtyczka Image dla pakietu Template Toolkit - będąca interfejsem do
modułu Image::Info lub Image::Size, służąca do określania rozmiaru
obrazków.

%package Plugin-Pod
Summary:	Pod plugin for Template Toolkit - Pod parser and object model
Summary(pl.UTF-8):	Wtyczka Pod dla pakietu Template Toolkit - analizator i model obiektowy Pod
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Plugin-Pod
Pod plugin for Template Toolkit - interface to the POD::POM module,
which parses Pod documents and converts them to a simple object model.

%description Plugin-Pod -l pl.UTF-8
Wtyczka Pod dla pakietu Template Toolkit - będąca interfejsem do
modułu Pod::POM, który analizuje dokumenty Pod i przekształca je na
prosty obiektowy model.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor  \
	TT_PREFIX=%{_examplesdir}/%{name}-%{version} \
	TT_IMAGES=%{_examplesdir}/%{name}-%{version}/images \
	TT_BUILD_DOCS=y \
	TT_SPLASH_DOCS=y \
	TT_EXAMPLES=y \
	TT_EXTRAS=y \
	TT_ACCEPT=y
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT
# For arch-independent plugins. Plugins shipped with TT are
# arch-independent too, but moving them to %{perl_vendorlib}
# is PITA
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Template
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Template/{Plugin,Provider,Stash}

# check-files cleanup
find $RPM_BUILD_ROOT%{perl_vendorarch}/Template -name '*.pod' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes HACKING README TODO
%attr(755,root,root) %{_bindir}/tpage
%attr(755,root,root) %{_bindir}/ttree
%{perl_vendorarch}/Template.pm
%{perl_vendorarch}/Template/*.pm
%{perl_vendorarch}/Template/Stash
%{perl_vendorarch}/Template/Namespace
%dir %{perl_vendorarch}/Template/Plugin
# These are not plugins, but base classes
%{perl_vendorarch}/Template/Plugin/Filter.pm
%{perl_vendorarch}/Template/Plugin/Procedural.pm
# Simple plugins with no excessive requirements
%{perl_vendorarch}/Template/Plugin/Assert.pm
%{perl_vendorarch}/Template/Plugin/CGI.pm
%{perl_vendorarch}/Template/Plugin/Datafile.pm
%{perl_vendorarch}/Template/Plugin/Directory.pm
%{perl_vendorarch}/Template/Plugin/File.pm
%{perl_vendorarch}/Template/Plugin/Format.pm
%{perl_vendorarch}/Template/Plugin/HTML.pm
%{perl_vendorarch}/Template/Plugin/Iterator.pm
%{perl_vendorarch}/Template/Plugin/Math.pm
%{perl_vendorarch}/Template/Plugin/Scalar.pm
%{perl_vendorarch}/Template/Plugin/String.pm
%{perl_vendorarch}/Template/Plugin/Table.pm
%{perl_vendorarch}/Template/Plugin/URL.pm
%{perl_vendorarch}/Template/Plugin/View.pm
%{perl_vendorarch}/Template/Plugin/Wrap.pm
%dir %{perl_vendorarch}/auto/Template
%dir %{perl_vendorarch}/auto/Template/Stash
%dir %{perl_vendorarch}/auto/Template/Stash/XS
%{perl_vendorarch}/auto/Template/Stash/XS/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Template/Stash/XS/*.so
%{_mandir}/man1/tpage.1*
%{_mandir}/man1/ttree.1*
%{_mandir}/man3/Template.*
%{_mandir}/man3/Template::[!P]*
%{_mandir}/man3/Template::P[!l]*
%{_mandir}/man3/Template::Plugin[!:]*
%{_mandir}/man3/Template::Plugin::[!ADIP]*
%{_mandir}/man3/Template::Plugin::Assert.3pm*
%{_mandir}/man3/Template::Plugin::D[!au]*
%{_mandir}/man3/Template::Plugin::Dat[!e]*
%{_mandir}/man3/Template::Plugin::I[!m]*
%{_mandir}/man3/Template::Plugin::P[!o]*

# For arch-independent plugins
%dir %{perl_vendorlib}/Template/Plugin
%dir %{perl_vendorlib}/Template/Provider
%dir %{perl_vendorlib}/Template/Stash

%files Plugin-Date
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Date.pm
%{_mandir}/man3/Template::Plugin::Date*

%files Plugin-Dumper
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Dumper.pm
%{_mandir}/man3/Template::Plugin::Dumper*

%files Plugin-Image
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Image.pm
%{_mandir}/man3/Template::Plugin::Image*

%files Plugin-Pod
%defattr(644,root,root,755)
%{perl_vendorarch}/Template/Plugin/Pod.pm
%{_mandir}/man3/Template::Plugin::Pod*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Template-Toolkit.spec,v $
Revision 1.66  2012/02/11 20:58:58  zbyniu
- up to 2.24

Revision 1.65  2011/10/10 18:14:47  lisu
- rel 4

Revision 1.64  2011/02/25 17:18:58  qboosh
- removed obsolete patches

Revision 1.63  2011/02/02 17:52:59  sparky
- tests BR: perl-Encode

Revision 1.62  2010/11/12 23:38:08  pawelz
- release 3

Revision 1.61  2010/06/06 08:42:51  arekm
- release 2

Revision 1.60  2009/08/18 20:01:12  adamg
- updated to 2.22
- removed examples subpackage
- Plugin::Autoformat now available as a separate pacakge

Revision 1.59  2008/12/13 18:16:12  qboosh
- updated files

Revision 1.58  2008/12/11 13:14:08  radek
- version 2.20

Revision 1.57  2008-02-24 18:55:39  radek
- version 2.19

Revision 1.56  2008-02-17 15:35:19  radek
- release 4: giving up for now; turned the XS off by default
  and disabled test failures; see -stashXS.patch for comments

Revision 1.55  2008-02-17 13:01:22  radek
- add -stashXS.patch (fixes t/html.t segfault)

Revision 1.54  2008-02-10 12:20:29  arekm
- rel 3

Revision 1.53  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.52  2007-04-30 11:14:25  radek
- release 2: dir perl_vendorlib/Template/{Provider,Stash}

Revision 1.51  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.50  2007/02/12 11:34:33  qboosh
- original CPAN URL

Revision 1.49  2007/02/12 11:01:15  blaass
- up to 2.18

Revision 1.48  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.47  2006/11/09 20:57:28  glen
- strict internal deps

Revision 1.46  2006/10/22 15:36:04  ankry
- ver. 2.15. Note: some plugins (DBI, GD, XML) now build from separate specs

Revision 1.45  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.44  2004/12/05 12:47:15  radek
- version 2.14, turned off t/gd.t (one test fails)

Revision 1.43  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.42  2004/11/03 22:30:46  paladine
- formatting

Revision 1.41  2004/08/01 23:21:14  ankry
- removed dir belonging to perl-base, rel. 4

Revision 1.40  2004/05/31 11:01:49  ankry
- works, rel. 3

Revision 1.39  2004/05/31 07:25:51  ankry
- workaround for -j

Revision 1.38  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.37  2004/05/04 23:28:11  ankry
- kill perl-libxml-enno

Revision 1.36  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.35  2004/04/07 22:45:35  migo
- added %{perl_vendorlib}/Template/Plugin to package
- s/%{pdir}/Template/ in %files
- rel 2

Revision 1.34  2004/02/06 22:41:01  migo
- up to 2.13

Revision 1.33  2004/01/25 00:06:09  arekm
- autoupdated to 2.12

Revision 1.32  2003/11/01 13:44:11  qboosh
- plugins descriptions (no macros - they only obscured things)
- tests can be enabled now
- release 2

Revision 1.31  2003/10/12 13:01:59  migo
- don't BR perl-libxml-enno

Revision 1.30  2003/10/04 21:25:20  migo
- plugins splitted into subpackages
- new bcond sytem
- removed R: tetex*
- release 1.90

Revision 1.29  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.28  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.27  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/08/15 22:02:06  migo
- up to 2.10

Revision 1.25  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.24  2003/06/30 22:26:17  qboosh
- added defattr to examples and _without_autodeps bcond

Revision 1.23  2003/06/30 18:27:30  migo
- up to 2.09 + one patch
- changed summaries
- examples subpackage
- most BR weren't really BR
- it works, but expect further changes

Revision 1.22  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.17  2003/02/18 15:38:32  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/16 05:34:43  migo
- URL: added

Revision 1.15  2002/09/27 21:05:54  ankry
- added tests (disabled by default)
- version 2.08, rel. 1

Revision 1.14  2002/09/11 20:24:59  qboosh
- it can't be noarch!
- removed .packlist, fixed perms, release 3

Revision 1.13  2002/07/13 23:10:26  qboosh
- standarized examples dir
- BR: perl-XML-Simple

Revision 1.12  2002/07/12 22:38:09  ankry
- BR: perl-AppConfig
- release 2

Revision 1.11  2002/07/12 09:49:56  qboosh
- new %doc and cosmetics

Revision 1.10  2002/07/11 08:04:16  depesz
- new version; should work; STBR

Revision 1.9  2002/07/10 08:48:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/06/16 12:12:12  kloczek
- removed INSTALL from %doc.

Revision 1.7  2002/06/16 11:55:59  depesz
- patch corrected
- should build niecly

Revision 1.6  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.5  2002/02/25 10:34:33  depesz
- cleanup; revision++

Revision 1.4  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/20 11:17:34  depesz
- corrected wrongimage path
- $revision++;

Revision 1.2  2002/02/20 10:44:12  qboosh
- pl description

Revision 1.1  2002/02/20 10:01:47  depesz
- new module (very important module)
- no polish translation (sorry)
